<header></header>
<div class="container-fluid">
<div class="page-header">
	<h1>All Contacts</h1>
</div>

<div id="alertContainer">
	<alert type = "success" *ngIf="alertMessage" ><strong>{{alertMessage}}</strong></alert>
</div>

<div class="table-responsive">
	<table class="table table-striped">
		<thead>
			<tr>
				<th>Name</th>
				<th>Email Address</th>
				<th>Phone Number</th>
				<th>Actions</th>
			</tr>
		</thead>
		<tbody>
			
			<tr *ngFor="let contact of contacts">
				<td>{{contact.name}}</td>
				<td>{{contact.email}}</td>
				<td>{{contact.phone}}</td>
				<td>
					<a [routerLink]="['contact', contact.id]" class="btn btn-default btn-xs">View</a>
					<button class="btn btn-danger btn-xs" (click)="delete(contact.id)">Delete</button>
				</td>
			</tr>
		</tbody>
	</table>
</div>
</div>
<footer></footer>